package eu.eudat.dao.entities;

import java.util.UUID;

import eu.eudat.dao.DatabaseAccessLayer;
import eu.eudat.entities.Organisation;
import eu.eudat.entities.Project;
import eu.eudat.models.criteria.ProjectCriteria;
import eu.eudat.queryable.QueryableList;

public interface ProjectDao extends DatabaseAccessLayer<Project, UUID> {

	QueryableList<Project> getWithCriteria(ProjectCriteria criteria);

	Long count();
}