package eu.eudat.dao.entities;

import java.util.UUID;

import eu.eudat.dao.DatabaseAccessLayer;
import eu.eudat.entities.DataRepository;
import eu.eudat.entities.Dataset;
import eu.eudat.entities.UserInfo;
import eu.eudat.models.criteria.DatasetCriteria;
import eu.eudat.queryable.QueryableList;

public interface DatasetDao extends DatabaseAccessLayer<Dataset,UUID> {

	QueryableList<Dataset> getWithCriteria(DatasetCriteria criteria);

	QueryableList<Dataset> getAuthenticated(QueryableList<Dataset> query, UserInfo principal);

	Long count();
}