package eu.eudat.dao.entities.security;

import eu.eudat.dao.DatabaseAccess;
import eu.eudat.dao.databaselayer.service.DatabaseService;
import eu.eudat.entities.Credential;
import eu.eudat.entities.UserInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * Created by ikalyvas on 12/15/2017.
 */
@Component("credentialDao")
public class CredentialDaoImpl extends DatabaseAccess<Credential> implements CredentialDao {

    @Autowired
    public CredentialDaoImpl(DatabaseService<Credential> databaseService) {
        this.setDatabaseService(databaseService);
    }

    @Override
    public Credential createOrUpdate(Credential item) {
        return this.getDatabaseService().createOrUpdate(item,Credential.class);
    }
}
