package eu.eudat.services;

import eu.eudat.dao.entities.*;
import eu.eudat.dao.entities.security.CredentialDao;
import eu.eudat.dao.entities.security.UserTokenDao;

/**
 * Created by ikalyvas on 1/4/2018.
 */
public interface DatabaseRepository {
    DataRepositoryDao getDataRepositoryDao();
    DatasetDao getDatasetDao();
    DatasetProfileDao getDatasetProfileDao();
    DMPDao getDmpDao();
    OrganisationDao getOrganisationDao();
    ProjectDao getProjectDao();
    RegistryDao getRegistryDao();
    ResearcherDao getResearcherDao();
    ServiceDao getServiceDao();
    UserInfoDao getUserInfoDao();
    InvitationDao getInvitationDao();
    CredentialDao getCredentialDao();
    UserTokenDao getUserTokenDao();
    ExternalDatasetDao getExternalDatasetDao();
}
